Script para compilar e instalar Gimp 2.8 en Ubuntu 10.04 LTS Lucid

08/05/2012

Un script para descargar, compilar e instalar la nueva versión 2.8 de Gimp en Ubuntu 10.04 LTS Lucid:

#!/bin/sh
# by this script you can install gimp 2.8 on your ubuntu 10.04 LTS lucid
# this script has been made by http://www.facebook.com/andrea.roscioli
# this script has been tested on ubuntu 10.04 LTS only

# make a new dir called tmp*****************************
mkdir -p ~/tmp/gimp
chmod 777 ~/tmp
cd ~/tmp/gimp

# download gimp**************************************
wget ftp://ftp.gimp.org/pub/gimp/v2.8/gimp-2.8.0.tar.bz2
tar -xjf gimp-2.8.0.tar.bz2
rm -f gimp-2.8.0.tar.bz2
export PATH=/opt/gimp-2.8/bin:$PATH
export PKG_CONFIG_PATH=/opt/gimp-2.8/lib/pkgconfig
export LD_LIBRARY_PATH=/opt/gimp-2.8/lib

#***************************************************
sudo apt-get build-dep gimp
sudo apt-get install git-core
#****************************************************

#install libtool************************************
sudo apt-get install libtool

#install babl***************************************
git clone git://git.gnome.org/babl
cd babl
./autogen.sh --prefix=/opt/gimp-2.8
make -j5
sudo make install -j5
cd ..
rm -rf babl

#install glib***************************************
wget http://ftp.gnome.org/pub/gnome/sources/glib/2.32/glib-2.32.2.tar.xz
tar -xvf glib-2.32.2.tar.xz
rm -f glib-2.32.2.tar.xz
cd glib-2.32.2
./configure --prefix=/opt/gimp-2.8
make
sudo make install
cd ..
rm -rf glib-2.32.2

#install gegl****************************************
wget ftp://ftp.gimp.org/pub/gegl/0.2/gegl-0.2.0.tar.bz2
tar -xjf gegl-0.2.0.tar.bz2
rm -f gegl-0.2.0.tar.bz2
cd gegl-0.2.0
./configure --prefix=/opt/gimp-2.8
make -j5 && sudo make install -j5
cd ..
rm -rf gegl-0.2.0

#install atk*****************************************
wget http://ftp.gnome.org/pub/gnome/sources/atk/2.4/atk-2.4.0.tar.xz
tar -xvf atk-2.4.0.tar.xz
rm -f atk-2.4.0.tar.xz
cd atk-2.4.0
./configure --prefix=/opt/gimp-2.8
make -j5 && sudo make install -j5
cd ..
rm -rf atk-2.4.0

#install pango***************************************
wget http://ftp.gnome.org/pub/gnome/sources/pango/1.30/pango-1.30.0.tar.xz
tar -xvf pango-1.30.0.tar.xz
rm -f pango-1.30.0.tar.xz
cd pango-1.30.0
./configure --prefix=/opt/gimp-2.8
make -j5 && sudo make install -j5
cd ..
rm -rf pango-1.30.0

#install gdk-pixbuf**********************************
wget http://ftp.gnome.org/pub/gnome/sources/gdk-pixbuf/2.26/gdk-pixbuf-2.26.1.tar.xz
tar -xvf gdk-pixbuf-2.26.1.tar.xz
rm -f gdk-pixbuf-2.26.1.tar.xz
cd gdk-pixbuf-2.26.1
./configure --prefix=/opt/gimp-2.8
make -j5 && sudo make install -j5
cd ..
rm -rf gdk-pixbuf-2.26.1

#install pixman**************************************
wget http://cairographics.org/releases/pixman-0.24.4.tar.gz
tar -zxvf pixman-0.24.4.tar.gz
rm -f pixman-0.24.4.tar.gz
cd pixman-0.24.4
./configure --prefix=/opt/gimp-2.8
make -j5 && sudo make install -j5
cd ..
rm -rf pixman-0.24.4

#install cairo****************************************
wget http://cairographics.org/releases/cairo-1.12.2.tar.xz
tar -xvf cairo-1.12.2.tar.xz
rm -f cairo-1.12.2.tar.xz
cd cairo-1.12.2
./configure --prefix=/opt/gimp-2.8
make -j5 && sudo make install -j5
cd ..
rm -rf cairo-1.12.2

#install gtk+****************************************
wget http://ftp.gnome.org/pub/gnome/sources/gtk+/2.24/gtk+-2.24.10.tar.xz
tar -xvf gtk+-2.24.10.tar.xz
rm -f gtk+-2.24.10.tar.xz
cd gtk+-2.24.10
./configure --prefix=/opt/gimp-2.8
make -j5 && sudo make install -j5
cd ..
rm -rf gtk+-2.24.10

#install gimp****************************************
cd gimp-2.8.0
./configure --prefix=/opt/gimp-2.8
make -j5
sudo make install -j5
cd ..
rm -rf gimp-2.8.0
cd
rm -rf ~/tmp/gimp

ACTUALIZACIÓN: Debido a que utilizamos una versión diferente de gtk+ para gimp 2.8, gimp se verá “feo”. Tendremos que copiar los engines de /usr/lib/gtk-2.0/2.10.0/engines a /opt/gimp-2.8/lib/gtk-2.0/2.10.0/engines, el theme que utilizamos de /usr/share/themes a /opt/gimp-2.8/share/themes y los iconos del theme que usamos de /usr/share/icons to /opt/gimp-2.8/share/icons.

vía

13 Responses to “Script para compilar e instalar Gimp 2.8 en Ubuntu 10.04 LTS Lucid”

  1. alemcito Says:

    buen blog rubensa…. tienes buenas cosas🙂 a ver si te das una vuelta por mi blog http://www.alemcito.com … saludos

  2. nuev9 Says:

    tengo problemas con este paso “sudo apt-get build-dep gimp” lo estoy haciendo linea por linea en la terminal. me aparece este conflicto: libwebkit-dev: Depende: libsoup2.4-dev (>= 2.27.91) pero no va a instalarse.
    gracias por la info es la única q encontré en español de la muy poca q hay sobre el ultimo gimp en la 10.04.
    saludos

  3. jaco Says:

    Hola, el script para instalar gimp 2.8 en Ubuntu Lucid está mal copiado: todos los “./autogen.sh –prefix=/opt/gimp-2.8” son en realidad “./autogen.sh –prefix=/opt/gimp-2.8”

    Cambio y funcionará🙂 ¡Gracias por compartir este script!

  4. jaco Says:

    El comentario se ha modificado solo😄. En el prefix, solo poner “guión guión prefix” no un solo guión

  5. AC2 Says:

    Thanks! I’ve used the script here to create a more detailed explanation for how to get Gimp 2.8 on Lucid (with some additions) here:

    http://ubuntuforums.org/showthread.php?t=1982183

  6. wish21 Says:

    hola exelente el script. gracias, oie no sabes como compilar el plugin de gimp-save-for-web?? en esta instalación??

  7. jeik Says:

    hola, soy nuevo en ubuntu… despues de hacer toda la compilacion y la instalacion de todos los paquetes, no arroja ningun error pero no aparece el programa por ningun lado… donde lo puedo buscar?… gracias

  8. jeik Says:

    hola… gracias por compartir el script. como les comente despues de hacer toda la compilacion, descarga e instalacion de todos los paquetes la terminal se cierra y entonces cree un lanzador en el escritorio con la siguiente ruta “/opt/gimp-2.8/bin/gimp-2.8” y VOILA…!!! funciona a la perfeccion lo unico que me aparecen tres ventanas (como en la version 2.6) pero igual funciona…
    Gracias


    • Para tenerlo en el terminal:

      1. sudo gedit /usr/bin/gimp-1.8

      2. Ponen lo siguiente en el contenido:
      #!/bin/sh
      /opt/gimp-2.8/bin/gimp-2.8

      3. Guardan y cierran GEDIT.

      4. Lo hacen ejecutable:
      sudo chmod +x /usr/bin/gimp-1.8

      5. Reinician el terminal, y listo! Ya pueden llamarlo con “gimp-1.8”

      Para verlo “todo en una ventana”, hay que ir a “Windows -> Single-Window Mode” y listo.

  9. soylent green hippies Says:

    Maybe the PPA for oneiric will help those not yet having precise, and also maybe xbmcbuntu eden

    https://launchpad.net/~rbose-debianizer/+archive/gimp

    because having precise already has

    ppa:otto-kesselgulasch/gimp

  10. wish21 Says:

    oie sabes como poner la versión 2.8.2 ?? y si es posible poner el plugin de “save for web” muchas gracias, y excelente script


  11. the font face size on this page is way the pig too small to read on any decently large screen. Were the colors chosen to further compromise readibility?
    😛


Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

A %d blogueros les gusta esto: